Skip to main content
GET
/
api
/
reservation
/
{transactionId}
Get a booking by transaction ID
curl --request GET \
  --url https://core.grdd.dev/api/reservation/{transactionId} \
  --header 'Authorization: <authorization>'
{
  "success": true,
  "data": {
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fromConextId": "<string>",
    "toConextId": "<string>",
    "timestamp": 123,
    "userid": "<string>",
    "sourcePlatform": "<string>",
    "targetPlatform": "<string>",
    "sourceResNo": "<string>",
    "targetResNo": "<string>",
    "lastStatus": "BOOKING_REQUEST",
    "submitDate": 123,
    "pickupDate": 123,
    "tripPacket": {
      "reservationType": "REGULAR",
      "runType": "Airport",
      "reservationDate": "2023-11-07T05:31:56Z",
      "passengerCount": "<string>",
      "preferredVehicleType": "SPRINTER",
      "specialInstructions": "<string>",
      "status": "BOOKING_REQUEST",
      "resStatus": "Pending",
      "locations": {
        "pickup": {
          "locationType": "<string>",
          "landmark": "<string>",
          "lat": "<string>",
          "lon": "<string>",
          "address": "<string>",
          "city": "<string>",
          "state": "<string>",
          "zipCode": "<string>",
          "country": "<string>",
          "time": "2023-11-07T05:31:56Z"
        },
        "dropOff": {
          "locationType": "<string>",
          "landmark": "<string>",
          "lat": "<string>",
          "lon": "<string>",
          "address": "<string>",
          "country": "<string>",
          "flightInfo": {
            "airlineCode": "<string>",
            "flightNumber": "<string>"
          }
        }
      },
      "passengers": [
        {
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "<string>",
          "phoneNumber": "<string>",
          "accountNumber": "<string>"
        }
      ],
      "affiliateReservation": {
        "requesterId": "<string>",
        "requesterResNo": "<string>",
        "providerId": "<string>",
        "action": "<string>",
        "status": "<string>",
        "notes": "<string>"
      },
      "transactionErrors": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "errCode": "<string>",
          "errDesc": "<string>"
        }
      ],
      "changeLogs": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "changeSource": "<string>",
          "changeDesc": "<string>"
        }
      ],
      "account": {
        "accountNumber": "<string>",
        "accountName": "<string>",
        "callerName": "<string>",
        "callerNumber": "<string>"
      }
    }
  }
}

Headers

Authorization
string
required

Path Parameters

transactionId
string<uuid>
required

The unique transaction ID (UUID) of the booking

Example:

"2e88ae81-3871-474f-ac0a-1a441eb83d0c"

Response

Success

success
boolean
data
object